## dzl-box-theatric

dzl-box-theatric

## Properties

double | alpha | Read / Write
char * | background | Read / Write
int | height | Read / Write
GIcon * | icon | Read / Write
gpointer | surface | Write / Construct Only
GtkWidget * | target | Read / Write / Construct Only
int | width | Read / Write
int | x | Read / Write
int | y | Read / Write

## Types and Values

#define | DZL_TYPE_BOX_THEATRIC
| DzlBoxTheatric

## Object Hierarchy

        GObject
        ╰── DzlBoxTheatric

## Description

## Functions

## Types and Values

### DZL_TYPE_BOX_THEATRIC

    #define DZL_TYPE_BOX_THEATRIC (dzl_box_theatric_get_type())

### DzlBoxTheatric

    typedef struct _DzlBoxTheatric DzlBoxTheatric;

## Property Details

### The `“alpha”` property

      “alpha”                    double

Alpha.

Owner: DzlBoxTheatric

Flags: Read / Write

Allowed values: [0,1]

Default value: 1

### The `“background”` property

      “background”               char *

background.

Owner: DzlBoxTheatric

Flags: Read / Write

Default value: "#000000"

### The `“height”` property

      “height”                   int

height.

Owner: DzlBoxTheatric

Flags: Read / Write

Allowed values: >= 0

Default value: 0

### The `“icon”` property

      “icon”                     GIcon *

The GIcon to render over the background.

Owner: DzlBoxTheatric

Flags: Read / Write

### The `“surface”` property

      “surface”                  gpointer

Surface.

Owner: DzlBoxTheatric

Flags: Write / Construct Only

### The `“target”` property

      “target”                   GtkWidget *

Target.

Owner: DzlBoxTheatric

Flags: Read / Write / Construct Only

### The `“width”` property

      “width”                    int

width.

Owner: DzlBoxTheatric

Flags: Read / Write

Allowed values: >= 0

Default value: 0

### The `“x”` property

      “x”                        int

x.

Owner: DzlBoxTheatric

Flags: Read / Write

Default value: 0

### The `“y”` property

      “y”                        int

y.

Owner: DzlBoxTheatric

Flags: Read / Write

Default value: 0